EHCI(4)

NAME
ehci - USB Enhanced Host Controller driver

SYNOPSIS
ehci* at cardbus? function ?
ehci* at pci? dev ? function ?
usb* at ehci?

DESCRIPTION
The ehci driver provides support for the USB Enhanced Host Controller Interface, which is used by USB 2.0 controllers.

EHCI controllers are peculiar in that they can only handle the USB 2.0 protocol. This means that they normally have one or more companion controllers (i.e., ohci(4) or uhci(4)) handling USB 1.x devices. Consequently each USB connector is electrically connected to two USB controllers. The handling of this is totally automatic, but can be noticed since USB 1.x and USB 2.0 devices plugged in to the same connector appear to connect to different USB busses.

SEE ALSO
cardbus(4), ohci(4), pci(4), uhci(4), usb(4)

HISTORY
The ehci driver appeared in NetBSD 1.6.

BUGS
The support for hubs that are connected with high speed upstream and low or full speed downstream (i.e., for transaction translators) is limited.